<div class="grid">


	<header ng-hide="hasValidOwner" class="row no-padding heading clearfix">
		<div class="col-2-3 no-padding"><h2>Ny ägare</h2></div>
		<button class="col-1-3 new" ng-click="newForeignOwner()">
			<span class="edit"><i class="fa fa-plus"></i>Registrera utländsk ägare</span>
		</button>
	</header>
	<header ng-show="hasValidOwner" class="row no-padding heading clearfix">
		<div class="col-1 no-padding"><h2>Ny ägare</h2></div>
	</header>


	<div class="row clearfix">
		<div class="col-1">
			<form name="holdingOwnerForm" novalidate>
				<fieldset ng-hide="hasValidOwner">
					<legend>Ägare</legend>
					<div class="col-1">
						<p>
							<label class="form-required">Personnr/Orgnr</label>
							<svab-owner
									svab-orgnr="{{orgNr}}"
									ng-model="holding.ownerId"
									svab-foreign-owner="foreignOwner"
									svab-selected="checkOwner(holdingOwnerForm)"
									svab-foreign="checkForeignOwner()"
									svab-form="holdingOwnerForm" />
						</p>

						<div ng-messages="holdingOwnerForm.ownerId.$error" ng-show="holdingOwnerForm.ownerId.$touched">
							<p class="form-feedback error" ng-message="required">Ange personnummer eller organisationsnummer</p>
							<p class="form-feedback error" ng-message="ownerid-invalid_format">Personnummer skrivs på formen ÅÅÅÅMMDDXXXX. Orgnr skrivs som tio
								tecken utan bindestreck</p>
							<p class="form-feedback error" ng-message="ownerid-10digit_per">Personnummer skrivs på formen ÅÅÅÅMMDDXXXX. Ange århundrade.</p>
							<p class="form-feedback error" ng-message="ownerid-org_luhn">Ogiltigt orgnr. Felaktig kontrollsiffra.</p>
							<p class="form-feedback error" ng-message="ownerid-12digit_org">Orgnr skrivs som tio tecken utan bindestreck</p>
							<p class="form-feedback error" ng-message="ownerid-sam_luhn">Ogiltigt samordningsnummer. Felaktig kontrollsiffra.</p>
							<p class="form-feedback error" ng-message="ownerid-per_date">Ogiltigt personnummer. Kontrollera datum.</p>
							<p class="form-feedback error" ng-message="ownerid-per_luhn">Ogiltigt personnummer. Felaktig kontrollsiffra.</p>
						</div>
					</div>

					<div class="col-1">
						<button ng-hide="checkingOwner" ng-click="checkOwner(holdingOwnerForm)">Nästa</button>
						<span ng-show="checkingOwner">
							<button>Kontrollerar ägare <svab-spinner/></button>
						</span>
					</div>
				</fieldset>
			</form>

			<form name="holdingForm" novalidate>
				<div svab-feedback-target="holding.create"></div>
				<fieldset ng-show="hasValidOwner">
					<div ng-hide="foreignOwner.foreign" class="col-1">
						<p><label>Personnr/Orgnr</label>
							<input name="ownerId" ng-model="holding.ownerId" disabled="disabled"/></p>
					</div>
					<div ng-show="foreignOwner.foreign" class="col-1">
						<p><label>Personnr/Orgnr</label>
							<input name="ownerId" value="(UTL)" disabled="disabled"/></p>
					</div>

					<div class="col-1">
						<p><label>Namn</label><input name="ownerName" ng-model="holding.ownerName" disabled/></p>
					</div>

					<div class="col-1">
						<p><label class="form-required">Ägarskap i procent</label><input name="ownershipInPercent"
						                                                                 ng-model="holding.ownershipInPercent"
						                                                                 required/></p>

						<div ng-messages="holdingForm.ownershipInPercent.$error" ng-show="holdingForm.ownershipInPercent.$touched">
							<p class="form-feedback error" ng-message="required">Ange ägarskap</p>
						</div>
					</div>
				</fieldset>
				<p class="col-1" ng-show="hasValidOwner">
					<button type="submit" ng-click="save()">Spara</button>
				</p>

			</form>

		</div>
	</div>
</div>